import request from '@/utils/request'
import Qs from 'qs'

export function listCountry(query) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.country',
      _mt: 'list',
      page: query.page,
      limit: query.limit,
      CountryDTO:query.type

    }
  })
}

export function createCountry(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.country',
      _mt: 'create',
      CountryDTO: JSON.stringify(data)
    })
  })
}

export function updateCountry(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.country',
      _mt: 'edit',
      CountryDTO: JSON.stringify(data)
    })
  })
}

export function deleteCountry(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.country',
      _mt: 'delete',
      id: id
    }
  })
}

export function getList1(data) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.collectionpayment',
      _mt: 'listReport',
      CollectionPaymentDTO:JSON.stringify({receivingWithdrawingRegion:data})
      
    }
  })
}

// export function getList1(data) {
//   return request({
//     method: 'get',
//     data: Qs.stringify({
//       _gp: 'admin.country',
//       _mt: 'edit',
//       CountryDTO: JSON.stringify(data)
//     })
//   })
// }
